> For the complete documentation index, see [llms.txt](https://docs.violet.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.violet.io/api-reference/orders-and-checkout/cart-pricing/price-cart.md).

# Price Cart

Price a `Cart` given its `cart_id`. Pricing a cart refers to doing a deep update against carts in any underlying E-Commerce platforms and ensures that tax, shipping, and other pricing data is consistent across all carts.

{% hint style="info" %}
Since pricing a cart makes API calls to external E-Com platforms, this impacts underlying rate limits. Violet has optimized the Checkout flow to only price carts when necessary so that you do not need to consistently make this call.
{% endhint %}

{% openapi src="/files/6wHrOR6auqy1RgLt3CZI" path="/checkout/cart/{cart\_id}/price" method="get" expanded="true" %}
[order-service.yaml](https://3937396275-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F8lXIp71Ct5qCUhXjko2q%2Fuploads%2Fgit-blob-4abe5aea8922866d3520a6e30cc002332bcb9d5f%2Forder-service.yaml?alt=media)
{% endopenapi %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.violet.io/api-reference/orders-and-checkout/cart-pricing/price-cart.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
